;
(function() {
    'use strict';

    angular.module('app.controllers')
        .controller('footController', footController);
    footController.$inject = ['$scope','$timeout'];
    
    return;

    /*页面控制层*/
    function footController($scope,$timeout) {
        var vm = $scope;

        $scope.$on('footer',function(e,len,bol=false){  // e事件  files文件 
            //选择item时的展示选择项  bol=true;
            if(bol && len>0){
                vm.content = `已选择${len}文件/文件夹`;
                return;
            } 
            //刚初始化进来的时候的展示项为0时的效果
            if(!bol && len==0){  //如果选中的文件长度是0项
                vm.content = '';  
                return;
            }  
                     
            vm.content = len+'项';

        });

    }


})();